Package com.xebialabs.xlrelease.domain.folder

# Class Folder

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.deployit.repository.core.Directory
com.xebialabs.xlrelease.domain.folder.Folder

All Implemented Interfaces:
  `ConfigurationItem`, `com.xebialabs.deployit.repository.core.Securable`, `CiWithInternalMetadata`, `VariableContainer`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(root=APPLICATIONS, versioned=false, description="A grouping of releases and templates with own configuration") public class Folder extends com.xebialabs.deployit.repository.core.Directory implements CiWithInternalMetadata, VariableContainer

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Set<Folder>`
  `children`
  `static String`
  `ROOT_FOLDER_ID`
  `protected String`
  `title`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  ### Fields inherited from interface com.xebialabs.deployit.repository.core.Securable

  `SECURITY_PERMISSIONS_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Folder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,InternalMetadata>`
  `get$metadata()`
  `List<Variable>`
  `getAllVariables()`
  `Set<Folder>`
  `getChildren()`
  `FolderVariables`
  `getFolderVariables()`
  `String`
  `getTitle()`
  `void`
  `setChildren(Set<Folder> children)`
  `void`
  `setFolderVariables(FolderVariables folderVariables)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- ## Field Details

  - ### ROOT_FOLDER_ID

    public static String ROOT_FOLDER_ID

  - ### title

    @Property(description="User provided title of the folder") protected String title

  - ### children

    @Property(asContainment=true, description="Sub-folders of this folder", required=false) protected Set<Folder> children

- ## Constructor Details

  - ### Folder

    public Folder()

- ## Method Details

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getChildren

    public Set<Folder> getChildren()

  - ### setChildren

    public void setChildren(Set<Folder> children)

  - ### get$metadata

    public Map<String,InternalMetadata> get$metadata()
    Specified by:
      `get$metadata` in interface `CiWithInternalMetadata`

  - ### getAllVariables

    public List<Variable> getAllVariables()
    Specified by:
      `getAllVariables` in interface `VariableContainer`

  - ### getFolderVariables

    public FolderVariables getFolderVariables()

  - ### setFolderVariables

    public void setFolderVariables(FolderVariables folderVariables)